//-------------------------------------------------------------------------*
//工 程 名:InCapture                                                       *
//硬件接线:                                                                *
//    (1)PTD.0和PTD1分别两盏接指示灯                                       *
//    (2)PTE.2和PTE3分别接两个开关                                         *
//程序描述:输入捕捉中断方式,使开关拨动时取反指示灯                         *
//说    明:本例是进行两路输入捕捉，分别用两个指示灯指示                    *
//----------------苏州大学飞思卡尔嵌入式系统实验室2009年-------------------*

#include "Includes.h"

//在此添加全局变量定义

//主函数
void main(void)
{
    //1 关总中断
    DisableInterrupts();          //禁止总中断
    //2 芯片初始化
    MCUInit();          
    //3 模块初始化
    Linit(Light_Pin0);            //(1) 小灯1控制引脚(I/O)初始化
   	Linit(Light_Pin1);            //(2) 小灯2控制引脚(I/O)初始化
  	TPMChInit(1,0);               //(3) 定时器1通道0初始化
  	TPMChInit(1,1);               //(4) 定时器1通道1初始化
    //4 开放中断
    EnableTPM1ChInInt(0);         //(5) 允许定时器1通道0的输入捕捉中断
    EnableTPM1ChInInt(1);         //(6) 允许定时器1通道1的输入捕捉中断
    EnableInterrupts();           //(7) 开放总中断
    //5 主循环
    while (1)
    {
    }
}





